
/***
 * this function creates html elements
 * @param {Object} sTypeEl
 * @param {Object} sTxtEl
 */
function CreateHtmlElement(sTypeEl, sTxtEl) {

	var objElement = document.createElement(sTypeEl);
	if (sTxtEl != 'None') {

		var sElementTxt = document.createTextNode(sTxtEl);
		objElement.appendChild(sElementTxt);

	}
	return objElement
}

/***
 *This function will process based on which alert button is clicked
 * @param {Object} btnClassName
 */

function btnClick(btnClassName){

    $("." + btnClassName).on('touchstart',this,function(e)
    {
			var buttonId = $("." + btnClassName).attr("id");
			alert(buttonId);
    	// $("." + btnClassName).on('touchend', function(e){
      
       //$("." + btnClassName).off('touchend');
        //});
    //behaviour for move
  // $("." + btnClassName).on('touchmove', function(e){
  	//var buttonId = $("." + btnClassName).attr("id");

   //     $("." + btnClassName).off('touchend');
    //    });  
    }
  );

}




/***
 *Default style is applied if the style value passed is 'None' or 'Null' 
 * @param {Object} divTag
 * @param {Object} typeofstyle
 */
function checkTypeOfStyle(divTag,typeofstyle)
{
	/*if(getConfigValue(typeofstyle.toUpperCase(),GlobalData) == 'null')
	{
	divTag.className = "alert_default";
	}
	else
	{*/
	divTag.className = typeofstyle;
	//}
	return divTag;
}

/***
 * Assigning properties for div tag for showing alerts
 * @param {Object} divTag
 * @param {Object} msg
 */
function AssignPropertiesforDivTag(divTag, msg,typeofstyle) {

	divTag.id = "modalviewalert";
	divTag=checkTypeOfStyle(divTag,typeofstyle);
	
	divTag.align = "center";
	divTag.innerHTML = msg;
	return divTag;
}

/***
 * this method is used to Create new attribute for elements
 * @param {Object} attributeName
 * @param {Object} attributeValue
 */
function createAttributeForElement(attributeName, attributeValue) {
	var attribute = document.createAttribute(attributeName);
	attribute.nodeValue = attributeValue;
	return attribute;
}


/***
 * This function is used to create buttons based on specification by the user
 * (Num of buttons and text value for the button)
 * @param {Object} btnValue
 * @param {Object} btnId
 */
function createButtonForAlerts(btnValue, btnId) {
var objel = CreateHtmlElement('a', 'None');
	objel.id = btnId;
	objel.className = "c"+btnId;
	
	objel.type="button";
	
	objel.onclick = function(){btnClick(objel.className)};


//objel.setAttribute("data-role", "button");
	document.getElementById("modalviewalert").appendChild(objel);
	var attribute = createAttributeForElement("data-role", "button");

	document.getElementById(objel.id).setAttributeNode(attribute);
	
	 //attribute = createAttributeForElement("data-click", "btndataClick");

	//document.getElementById(objel.id).setAttributeNode(attribute);



}

/***
 * This method show an alert box with a msg
 * @param {Object} msg
 * @param {Object} numofButtons
 * @param {Object} nameofButtons
 * @param {Object} typeofstyle
 */
function showAlert(msg, numofButtons, nameofButtons, typeofstyle) {

	var divTagView=CreateHtmlElement("div", "None");
	divTagView.id="msgbox";
	document.body.appendChild(divTagView);
	var divTag = CreateHtmlElement("div", "None");

	divTag = AssignPropertiesforDivTag(divTag, msg,typeofstyle);
	document.getElementById("msgbox").appendChild(divTag);
	//document.body.appendChild(divTag);
	var attribute = createAttributeForElement("data-role", "modalview");

	document.getElementById(divTag.id).setAttributeNode(attribute);

	var btnValue = nameofButtons.split(',');

	for ( iIndex = 0; iIndex < numofButtons; iIndex++) {
		
		var btnId=btnValue[iIndex].toUpperCase();
				createButtonForAlerts(btnValue[iIndex], btnId);
		}


}


